/*
* JBoss, Home of Professional Open Source
* Copyright 2006, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.test.deployers;

import org.jboss.test.deployers.classloading.DeployersClassLoadingTestSuite;
import org.jboss.test.deployers.deployer.DeployersDeployerTestSuite;
import org.jboss.test.deployers.managed.DeployersManagedTestSuite;
import org.jboss.test.deployers.scope.DeployersScopeTestSuite;
import org.jboss.test.deployers.main.DeployersMainTestSuite;
import org.jboss.test.deployers.annotations.DeployersAnnotationsTestSuite;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 * Deployers Impl Test Suite.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 37459 $
 */
public class DeployersImplTestSuite extends TestSuite
{
   public static void main(String[] args)
   {
      TestRunner.run(suite());
   }

   public static Test suite()
   {
      TestSuite suite = new TestSuite("Deployers Impl Tests");

      suite.addTest(DeployersDeployerTestSuite.suite());
      suite.addTest(DeployersManagedTestSuite.suite());
      suite.addTest(DeployersClassLoadingTestSuite.suite());
      suite.addTest(DeployersScopeTestSuite.suite());
      suite.addTest(DeployersMainTestSuite.suite());
      suite.addTest(DeployersAnnotationsTestSuite.suite());

      return suite;
   }
}
